Subject: [PATCH 0/3] uevents handler for macio & of_platform

From: Sylvain Munaut <[email-masked]>
Date: Sun, 17 Dec 2006 17:51:15 +0100

Hi Paul, Hi Ben, and Hi everyone ;)

This couple of patch is a rework of the uevent handler in macio and
of_platform. For macio, it was present but not using the latest
helper that makes the code more readable. The of_platform one
is new (no uevent support in of_platform before) but is basically
the same code as the macio one.

The of_platform one has been tested on Efika and enable module
autoloading by udev. The macio patch is not tested. However,
being based on the same code as the of_platform handler I would
excpect it to be fine.

	Sylvain

PS: The previous one I sent a few weeks back were buggy, theses
are new ones ;)